<template>
  <div id="app">
    <Navbar />
    <Hero />
    <About />
    <MyWork />
    <Contact />
    <Footer />
  </div>
</template>

<script>
import Navbar from './components/Navbar.vue'
import Hero from './components/Hero.vue'
import About from './components/About.vue'
import MyWork from './components/MyWork.vue'
import Contact from './components/Contact.vue'
import Footer from './components/Footer.vue'

export default {
  name: 'App',
  components: {
    Navbar,
    Hero,
    About,
    MyWork,
    Contact,
    Footer
  },
  metaInfo: {
    title: 'Damian Wysokiński - Front-end Developer'
  }
}
</script>

<style>
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root {
  --color-primary: #2CFFBA;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

img {
  width: 100%;
}

p {
  color: #fff;
  margin-bottom: 14px;
}

body {
  background-color: #151924;
}

body, button {
  font-family: 'Poppins', sans-serif;
}

.btn {
    background: none;
    cursor: pointer;
    outline: 0;
    border: 0;
    transition: all 0.3s ease-in-out;
}

.btn:hover {
    opacity: 0.8;
}

.grid {
  display: grid;
  gap: 60px;
}

.container {
  width: 100%;
  max-width: 1240px;
  padding: 0 20px;
  margin: auto;
}

@media screen and (min-width: 768px) {
  p {
    font-size: 18px;
  }
}

@media screen and (min-width: 960px) {
  .grid--2 {
    grid-template-columns: repeat(2, 1fr);
  }
}
</style>